%define _name		tora

%define _version	1.3.23
%define _release	3.slc5
%define _prefix		/usr
%define _prefix_lib	/usr/lib/tora
%define _qtdir		/usr/%{_lib}/qt-3.3

Summary:		Toolkit for Oracle
Name:			%{_name}
Version:		%{_version}
Release:		%{_release}
Source:			%{_name}-1-3-end-of-life.tar.gz
URL:			http://tora.sourceforge.net
Group:			Development/Databases
Vendor:			Red Hat, Inc.
#Packager:		Michael Mraka <michael.mraka@redhat.com>
# adapted for CERN
Packager:		Jan Iven <jan.iven.@cern.ch>
License:		GPL
BuildRoot:		%{_tmppath}/tora-root
Prefix:			%{_prefix}
#Requires:		qscintilla >= 1.7
# hopefully not.
Requires:		qscintilla >= 1.6
Requires:      oracle-instantclient-basic
BuildRequires:		qt-devel
BuildRequires:		libtool
BuildRequires:		texinfo
#BuildRequires:		qscintilla-devel >= 1.7
BuildRequires:		qscintilla-devel >= 1.6
BuildRequires: oracle-instantclient-devel
# brilliant- configure just checks for sqlplus..
BuildRequires: oracle-instantclient-sqlplus 

# no real instantclient on ia64..
ExclusiveArch: i386 x86_64
#
# Description below is copied verbatim from the README file
#

%description


TOra - Toolkit for Oracle
=========================
Copyright (C) 2003-2005 Quest Software, Inc (http://www.quest.com/)
Portions Copyright (C) 2005 Other Contributors

For information about license see the LICENSE.txt file. It is distributed 
under the GPL which basically means that any derivatory work must be 
released under an open source license as well.

TOra is supported for running with an Oracle 8.1.7 or newer
client installation. It has been verified to work with Oracle 10g.

In addition, TOra also supports postgres and mysql if your Qt library
is compiled with that support.

Toolkit for Oracle is a program for Oracle developers and administrators. The
features that are available so far is (As of version 1.2):

* Handles multiple connections
* Support Oracle & MySQL
* Advanced SQL Worksheet
	* Explain plan
	* PL/SQL auto indentation
	* Statement statistics
	* Error location indication
	* SQL syntax highlighting
	* Code completion
	* Visualization of result
	* PL/SQL block parsing
	* Statement statistics comparison
* Schema browser
	* Table & view editing
	* References & dependencies
	* Reverse engeneering of objects
	* Tab & tree based browsing
	* Object & data filtering
* PL/SQL Editor/Debugger
	* Breakpoints
	* Watches
	* Line stepping
	* SQL Output viewing
	* Structure tree parsing
* Server tuning
	* Server overview
	* Tuning charts
	* Wait state analyzer
	* I/O by tablespace & file
	* Performance indicators
	* Server statistics
	* Parameter editor (P-file editor)
* Security manager
* Storage manager with object & extent viewer

* Session manager
* Rollback manager with snapshot too old detection
* SGA and long operations trace
* Current session information

* PL/SQL profiler
* Explain plan browser
* Statistics manager
* DBMS alert tool
* Invalid object browser
* SQL Output viewer
* Database/schema comparison and search
* Extract schema objects to SQL script

* Easily extendable
* Possible to add support for new or older Oracle versions without programming.
* SQL template help
* Full UNICODE support
* Printing of any list, text or chart

For installation instructions se the file INSTALL.

TOra is developed by a community of Open Source developers. The original 
(pre 1.3.15) development was done by Henrik Johnson of Quest Software, Inc.

The homepage for the TOra project is http://tora.sourceforge.net. If you 
encounter problems you can find both mailinglists and bugtracking tools 
from this page.

Oracle is copyright of Oracle Corporation.

%changelog
* Tue Feb 17 2009 Jan Iven <jan.iven@cern.ch> - 1.3.23-1.slc5
- port to CERN environment: older qscintilla, our instantclient, some massaging for lib64

* Mon Mar 10 2008 Michael Mraka <michael.mraka@redhat.com>
- the tora-1-3-end-of-life build

* Mon Jun 29 2005 Nathan Neulinger <nneul@umr.edu>
- standardize on a single tora spec file

%prep
#% setup -q
%setup -q -n tora-1-3-end-of-life

export PATH=$PATH:%{_qtdir}/bin

export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
orainc=`ls -1d /usr/include/oracle/*/client/ | tail -1`
oralib=`ls -1d /usr/%{_lib}/oracle/*/client/%{_lib}/ | tail -1`
export ORACLE_HOME=/usr  # have /usr/bin/sqlplus, need to fool configure

./autogen.sh

./configure \
	 --prefix="%{_prefix}" \
	 --bindir="%{_prefix}/bin" \
	 --libdir="%{_prefix_lib}" \
	 --infodir="%{_infodir}" \
	--disable-dependency-tracking \
        --with-qt=%{_qtdir} \
	--with-qt-libraries=%{_qtdir}/lib \
	--with-qt-includes=%{_qtdir}/include \
	--with-qscintilla=%{_qtdir}/include \
	--without-kde \
        --with-instant-client \
        --with-oracle-includes=$orainc \
        --with-oracle-libraries=$oralib

%build

%{__make}

%install

%{__rm} -rf "${RPM_BUILD_ROOT}" 
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_prefix}/bin"
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_prefix}/lib/tora/help"
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_prefix}/lib/tora/help/images"
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_prefix}/lib/tora/help/api"
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/16x16/apps"
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/32x32/apps"
%{__make} DESTDIR="${RPM_BUILD_ROOT}" install

%{__install} --mode=644 doc/help/tora/*.html "${RPM_BUILD_ROOT}%{_prefix}/lib/tora/help/"
%{__install} --mode=644 doc/help/images/*.png "${RPM_BUILD_ROOT}%{_prefix}/lib/tora/help/images/"
%{__install} --mode=644 doc/help/api/*.html "${RPM_BUILD_ROOT}%{_prefix}/lib/tora/help/api/"

%{__install} --mode=644 src/icons/tora.xpm "${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/32x32/apps/tora.xpm"
%{__install} --mode=644 src/icons/toramini.xpm "${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/16x16/apps/tora.xpm"



%post

%postun


%files 
%defattr(-,root,root)
%doc BUGS INSTALL LICENSE.txt NEWS README TODO
%{_prefix}/bin/*
%{_prefix_lib}/*
%dir %{_prefix_lib}
#%{_menudir}/tora
#%{_iconsdir}/hicolor/*/apps/tora.xpm
#%{_datadir}/applnk/Development/tora.desktop
%{_prefix}/share/info/tora.info.gz


%clean
%{__rm} -rf "${RPM_BUILD_ROOT}"
